Subject: 24.1.50; z in special-mode-map

From: Richard Stallman <[email-masked]>
Date: Thu, 30 Aug 2012 10:41:22 -0400

I just discovered why some of the Dired buffers I always keep
occasionally disappear.  It is because the binding of z in
special-mode-map makes it so easy to kill them.

I just got rid of that binding in my .emacs, but I think that binding
is a bad idea.  Not all the buffers in special modes are things people
don't mind deleting, and this key can cause annoyance if typed by
accident.

In GNU Emacs 24.1.50.1 (mips64el-unknown-linux-gnu, GTK+ Version 2.12.12)
 of 2012-07-31 on chiefs-gnewsense
Bzr revision: 109352 [email-masked]
Configured using:
 `configure 'CFLAGS=-g -O0' '--with-gif=no' '--with-tiff=no''

Important settings:
  value of $LANG: en_US.UTF-8
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Emacs-Lisp

Minor modes in effect:
  shell-dirtrack-mode: t
  gpm-mouse-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t
  abbrev-mode: t

Recent input:
RET g z C-x b o u t g TAB RET C-g C-h l C-x b o u t 
g TAB C-g C-x d o u t g TAB RET C-h c z C-h f d i r 
e d - m o r e DEL DEL d e RET C-x o TAB RET C-s k i 
l l - t h C-s C-a C-x b . e m a c s RET C-x k RET C-x 
C-f . e m a c s RET C-x C-v ESC DEL ESC DEL ESC DEL 
ESC DEL RET C-s k i l l - t h ESC < C-x 1 C-s k i l 
l - t h C-x b RET ESC < C-s C-s ESC x g r e p RET k 
i l l - t h i s - b u f f e r RET ESC x g r e p RET 
ESC p SPC * . e l RET C-x o C-u C-n C-n C-n C-n C-n 
C-n C-u C-v C-u C-v C-x 1 C-u C-n C-n C-n C-n RET C-x 
1 C-a C-u C-p C-u C-p C-p C-p C-p ESC f C-f C-@ C-e 
ESC w C-x b . e m a c s RET ESC > RET ( d e f n e DEL 
DEL i n e 0 k DEL DEL - k e y SPC C-y C-x 4 b RET C-a 
C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-n C-x o SPC 
" z " SPC n i l ESC DEL u n d e f i n e d ) ESC b ' 
ESC C-x C-x C-s ESC x r e p o r t SPC e m a s SPC DEL 
c s SPC b u g RET

Recent messages:
Mark set
Mark saved where search started
Mark set
Grep finished with no matches found
Grep finished (matches found)
Mark set [4 times]
undefined
Saving file /home/rms/.emacs...
Wrote /home/rms/.emacs
Scanning for dabbrevs...done

Load-path shadows:
None found.

Features:
(ispell byte-opt bytecomp byte-compile cconv macroexp rmailsum
compare-w novice doc-view image-mode arc-mode archive-mode jka-compr
bookmark pp shadow emacsbug edmacro kmacro vc-bzr find-func help-fns
apropos ind-util tabify man parse-time vc-cvs sgml-mode etags
dired-aux cal-china lunar solar cal-dst cal-bahai cal-islam cal-hebrew
holidays hol-loaddefs cal-move cal-menu calendar cal-loaddefs epa-mail
epa derived epg epg-config rmailout rlogin dabbrev misearch
multi-isearch quail help-mode qp mule-util shell pcomplete grep
compile comint ansi-color ring mailalias rmailmm message sendmail
format-spec rfc822 mml easymenu mml-sec mm-decode mm-bodies mm-encode
mailabbrev gmm-utils mailheader mail-parse rfc2231 dired t-mouse
time-date rmailedit rmail rfc2047 rfc2045 ietf-drums mm-util
mail-prsvr mail-utils paren cus-start cus-load tooltip ediff-hook
vc-hooks lisp-float-type mwheel x-win x-dnd tool-bar dnd fontset image
regexp-opt fringe tabulated-list newcomment lisp-mode register page
menu-bar rfn-eshadow timer select scroll-bar mouse jit-lock font-lock
syntax facemenu font-core frame cham georgian utf-8-lang misc-lang
vietnamese tibetan thai tai-viet lao korean japanese hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
case-table epa-hook jka-cmpr-hook help simple abbrev minibuffer
loaddefs button faces cus-face files text-properties overlay sha1 md5
base64 format env code-pages mule custom widget
hashtable-print-readable backquote make-network-process dbusbind
dynamic-setting system-font-setting font-render-setting move-toolbar
gtk x-toolkit x multi-tty emacs)

--
Dr Richard Stallman
President, Free Software Foundation
51 Franklin St
Boston MA 02110
USA
www.fsf.org  www.gnu.org
Skype: No way! That's nonfree (freedom-denying) software.
  Use Ekiga or an ordinary phone call